Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.traverse
Interface GraphIterator<V,E>

All Superinterfaces:
  java.util.Iterator<V>

All Known Implementing Classes:
  AbstractGraphIterator, BreadthFirstIterator, ClosestFirstIterator, CrossComponentIterator, DepthFirstIterator, TopologicalOrderIterator

    public interface GraphIterator<V,E>

extends java.util.Iterator<V>

A graph iterator.

Since:
  Jul 31, 2003
Author:
  Barak Naveh

Method Summary
`void` | `addTraversalListener(TraversalListener<V,E> l)` Adds the specified traversal listener to this iterator.
`boolean` | `isCrossComponentTraversal()` Test whether this iterator is set to traverse the grpah across connected components.
`boolean` | `isReuseEvents()` Tests whether the `reuseEvents` flag is set.
`void` | `remove()` Unsupported.
`void` | `removeTraversalListener(TraversalListener<V,E> l)` Removes the specified traversal listener from this iterator.
`void` | `setReuseEvents(boolean reuseEvents)` Sets a value the `reuseEvents` flag.

Methods inherited from interface java.util.Iterator
`hasNext, next`

Method Detail

### isCrossComponentTraversal

    boolean isCrossComponentTraversal()

  Test whether this iterator is set to traverse the grpah across connected components.

  Returns:
    `true` if traverses across connected components, otherwise `false`.

### setReuseEvents

    void setReuseEvents(boolean reuseEvents)

  Sets a value the `reuseEvents` flag. If the `reuseEvents` flag is set to `true` this class will reuse previously fired events and will not create a new object for each event. This option increases performance but should be used with care, especially in multithreaded environment.

  Parameters:
    `reuseEvents` - whether to reuse previously fired event objects instead of creating a new event object for each event.

### isReuseEvents

    boolean isReuseEvents()

  Tests whether the `reuseEvents` flag is set. If the flag is set to `true` this class will reuse previously fired events and will not create a new object for each event. This option increases performance but should be used with care, especially in multithreaded environment.

  Returns:
    the value of the `reuseEvents` flag.

### addTraversalListener

    void addTraversalListener(TraversalListener<V,E> l)

  Adds the specified traversal listener to this iterator.

  Parameters:
    `l` - the traversal listener to be added.

### remove

    void remove()

  Unsupported.

  Specified by:
    `remove` in interface `java.util.Iterator<V>`
  Throws:
    `java.lang.UnsupportedOperationException`

### removeTraversalListener

    void removeTraversalListener(TraversalListener<V,E> l)

  Removes the specified traversal listener from this iterator.

  Parameters:
    `l` - the traversal listener to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD